### Method

# Fwupd JsonParser set_max_items

since: 2.1.1

#### Declaration [src]

    void
    fwupd_json_parser_set_max_items (
      FwupdJsonParser* self,
      guint max_items
    )

#### Description [src]

Sets the maximum number of items in an array or object.

The default maximum items is `G_MAXUINT16`, but users of `FwupdJsonParser` should use this function to set a better limit.

Available since: 2.1.1

#### Parameters

`max_items`

  Type: `guint`

  Max items.